Subject: Re: [PATCH] log --decorate: do not leak "commit" color into the next item

From: Junio C Hamano <[email-masked]>
Date: Fri, 20 Feb 2015 23:09:57 -0800

Jeff King <[email-masked]> writes:

> On Fri, Feb 20, 2015 at 03:06:39PM -0800, Junio C Hamano wrote:
>
>> -- >8 --
>> Subject: config.txt: spell out how certain typed values are written
>> 
>> Many variables have values that are not arbitrary strings and there
>> are ways to spell these values of certain types.  The way to spell
>> colors was described in a section for color.branch.<slot> and other
>> variables refered to that section, which was technically wrong, but
>> was a bit awkward.
>
> Did you mean "not technically" here?

Yes.

> I think this patch is certainly an improvement with respect to the
> colors. And I like that it organizes the types into one place using a
> list, which is easier to scan when you are looking at a manpage. But...
>
>> +Values
>> +~~~~~~
>> +
>> +Values of many variables are treated as a simple string, but there
>> +are variables that take values of specific types and there are rules
>> +as to how to spell them.
>> +
>> +boolean::
>> +	When a variable is said to take a boolean value, many
>> +	synonyms are accepted for 'true' and 'false'.
>> +	true;; Boolean true can be spelled as `yes`, `on`, `true`,
>> +	    or `1`.  Also, a variable defined without `= <value>`
>> +	    is taken as true.
>> +	false;; Boolean false can be spelled as `no`, `off`,
>> +	    `false`, or `0`.
>
> This information is redundant with what is in the `Syntax` section:
> ...

Heh, thanks.  That is what I wanted to say when I said "other types
may need de-duping" ;-).